<ion-header>
  <ion-navbar>
    <ion-title>{{ paciente.nome }}</ion-title>
    <ion-buttons start>
      <button ion-button (click)="cancel()">
        <span color="primary">
          Cancelar
        </span>
        <ion-icon name="md-close" showWhen="core,android,windows,ios"></ion-icon>
      </button>
    </ion-buttons>
    
  </ion-navbar>
</ion-header>

<ion-content>
  <!-- <div class="item-profile" text-center #profilePic [style.background-image]="sanitizarArquivo(paciente.ferida.fotoClassificacao)">
  </div> -->

  <div class="item-profile" text-center #profilePic>
    <img [src]="sanitizarArquivo(paciente.ferida.fotoClassificacao)" />
  </div>

  <ion-card *ngFor="let item of paciente.ferida.classificacao.tecidos | orderBy: 'ordem'">
      <ion-item>
        <h2>{{item.tecido.label}}</h2>
      </ion-item>
    
      <ion-card-content>
          <ion-list radio-group>
              <table>
                <tr>
                  <th class="checkbox"></th>
                  <th>Cobertura</th>
                </tr>
                <tr *ngFor="let cobertura of item.coberturasClassificadas">
                  <td>
                      <ion-radio [checked]="cobertura.isAceito" (click)="selectCobertura(cobertura, item.coberturasClassificadas)" [value]="cobertura.id"></ion-radio>
                  </td>
                  <td>&nbsp;{{cobertura.coberturaClassificada.description}}</td>
                </tr>
              </table>
          </ion-list>
        <!-- <p>{{item.content}}</p> -->

      </ion-card-content>
  </ion-card>

  <div *ngIf="paciente.ferida.classificacao.observacoes">
    <ion-grid>
      <ion-row>
        <ion-col col-12>
          <h2>Observação</h2>
          <textarea disabled [(ngModel)]="paciente.ferida.classificacao.observacoes"></textarea>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>

  <div class="item-detail" padding>
      <button ion-button (click)="rejeite()">Rejeite</button>
      <button ion-button (click)="fechar(true)">Fechar</button>
  </div>
</ion-content>